# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2004-2005 Luis Belmar-Letelier <luis@itaapy.com>
#               2005 Alexandre Fernandez <alex@itaapy.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


# Import from itools
from itools.zope import get_context

# Import from ikaaro
from Products.ikaaro.Root import Root as ikaaroRoot


class Root(ikaaroRoot):

    class_id = 'Portal'
    class_title = u'Portal'
    class_version = '20041106'


    def get_skin_name(self):
        context = get_context()
        skin_name = ikaaroRoot.get_skin_name(self)
        return context.session.get('skin', skin_name)


    def get_views(self):
        views = ikaaroRoot.get_views(self)
        views += ['view', 'switch_skin']
        return views


    switch_skin__label__ = u"Switch skin"
    switch_skin__access__ = True
    def switch_skin(self):
        context = get_context()
        request, response = context.request, context.response
        
        actual_skin = 'surf'
        if 'skin' in context.session:
            actual_skin = context.session['skin']

        # switch 'surf' and 'frontoffice1' skins
        if not actual_skin == 'surf':
            switched_skin = 'surf'
        else:
            switched_skin = 'frontoffice1'

        # save the the new skin in the session
        context.session['skin'] = switched_skin 

        # come back to a corect url after switch 
        url = request.referer
        if switched_skin == 'frontoffice1':
            url = ';about'
        response.redirect(url)


    view__label__ = u"View's exemple"
    view__access__ = True
    def view(self):
        return u'Hello'

